[X2Go-Commits] [x2goclient] 171/281: macbuild.sh: don't error out while executing parse_otool_output ().

git-admin at x2go.org git-admin at x2go.org
Thu Jan 19 13:05:33 CET 2017


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch bugfix/osx
in repository x2goclient.

commit 4754cb3b0c9308d31dffcc25ccfcf7c5868f6c46
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Thu May 12 23:22:13 2016 +0200

    macbuild.sh: don't error out while executing parse_otool_output ().
---
 debian/changelog |    1 +
 macbuild.sh      |    2 ++
 2 files changed, 3 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index b9a560e..c16e17a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -313,6 +313,7 @@ x2goclient (4.0.5.3-0x2go1) UNRELEASED; urgency=medium
     - res: rename "sound" to "audio".
     - macbuild.sh: fix copying of resource files.
     - macbuild.sh: also add PA binaries to deduplication fixup list.
+    - macbuild.sh: don't error out while executing parse_otool_output ().
 
   [ Bernard Cafarelli ]
   * New upstream version (4.0.5.3):
diff --git a/macbuild.sh b/macbuild.sh
index f580d44..62afe22 100755
--- a/macbuild.sh
+++ b/macbuild.sh
@@ -520,7 +520,9 @@ if [ "${BUNDLE}" = "1" ]; then
     # We need the return value of parse_otool_output(), but running
     # typeset foo="$(bar)" will give us the return value of typeset, not bar().
     typeset dependencies=""
+    set +e
     dependencies="$(parse_otool_output "${otool_out}")"
+    set -e
 
     if [ "${?}" -eq "0" ]; then
       typeset line=""

--
Alioth's /srv/git/code.x2go.org/x2goclient.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/x2goclient.git


More information about the x2go-commits mailing list